/*******************************************************************************
 * FoxBillboardUIOSPoint generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxBillboardUIOSPoint extends FoxBillboardUIObjectBase within GFxMoviePlayer
    native(HUD)
    config(HUD);

const ControlPointLevelRange = 100;

var transient FoxGameObject_OSPoint OSPoint;
var private float UsedRatio;
var private string ControlPointLabel;
var private string LastDirectionString;
var private const string DirectionStringUp;
var private const string DirectionStringDown;
var private const string DirectionStringLevel;
var protected const bool bObjectiveAdded;

event as_SetCapturingTeamColor(string CapturingTeamColor)
{
    SetString("progressColor", CapturingTeamColor);
    //return;    
}

event as_SetLabel(string NewLabel)
{
    ControlPointLabel = NewLabel;
    super.as_SetLabel(NewLabel);
    //return;    
}

event as_SetDirection(string NewDirectionLabel)
{
    LastDirectionString = NewDirectionLabel;
    SetString("direction", LastDirectionString);
    //return;    
}

event as_SetCaptureProgress(float NewProgress)
{
    UsedRatio = NewProgress;
    SetFloat("captureProgress", UsedRatio);
    //return;    
}

event AddObjective()
{
    Outer.Advance(0.0);
    as_addObjective(AddObjectiveWidget.X, AddObjectiveWidget.Y, AddObjectiveWidget.DelayTime, AddObjectiveWidget.TransitionTime);
    //return;    
}

function as_addObjective(float XPos, float YPos, float DelayTime, float TransitionTime)
{
    ActionScriptVoid("addObjective");
    //return;    
}

defaultproperties
{
    UsedRatio=-1.0
    DirectionStringUp="UP"
    DirectionStringDown="DOWN"
    DirectionStringLevel="LEVEL"
    symbolname="billBoard_DOM"
    bKeepOnScreen=true
    bDrawDistance=true
    bSupportsOpacityChangeInTightAim=true
    DockLoc=(X=0.0,Y=240.0)
    BillboardWidth=63.0
    BillboardHeight=80.0
}